using System.Collections;
using UdonSharp;
using UnityEngine;

namespace Marro.PacManUdon
{
    public abstract class SyncedObject : UdonSharpBehaviour
    {
        public NetworkManager networkManager;

        public virtual void SyncedUpdate() { }
        public abstract void CollectSyncedData(byte[] data, ref int index, NetworkEventType eventType);
        public abstract bool WriteSyncedData(byte[] data, ref int index, NetworkEventType eventType);
    }
}